> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除监控器

> 软删除一个监控器并移除其相关的调度/影子代理资源。



## OpenAPI

````yaml zh/openapi/monitors.json DELETE /v1/monitors/{monitor_id}
openapi: 3.0.3
info:
  title: Monitors API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/monitors/{monitor_id}:
    delete:
      summary: 删除监控
      description: '软删除监控（`status: deleted`）并移除其计划和影子代理行。'
      parameters:
        - name: monitor_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^monitor_
      responses:
        '200':
          description: 监控已删除。
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  monitor_id:
                    type: string
        '400':
          description: 无效的 monitor_id 或已删除。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 无效的 API 密钥。
        '404':
          description: 未找到监控。
        '500':
          description: 内部服务器错误。
      security:
        - Authorization: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        monitor_id:
          type: string
          description: 在某些创建/更新错误响应中出现。
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer认证头格式为Bearer <token>，其中<token>是你的认证令牌。

````